Skip to content
Docs

    Check Create VPC Availability

    POST/v1/networking/vpcs/availability

    Check if a VPC can be created

    Body ParametersJSONExpand Collapse
    name: string

    Name of the VPC.

    project_id: string

    Project ID the VPC belongs to.

    region: RegionName

    Region the resource is in.

    subnet_name: string

    Name of the subnet to create.

    tags: optional array of string

    Tags to attach to the VPC.

    Check Create VPC Availability

    curl https://api.nirvanalabs.io/v1/networking/vpcs/availability \
        -H 'Content-Type: application/json' \
        -H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
        -d '{
              "name": "my-vpc",
              "project_id": "123e4567-e89b-12d3-a456-426614174000",
              "region": "us-sva-2",
              "subnet_name": "my-subnet",
              "tags": [
                "production",
                "ethereum"
              ]
            }'
    Returns Examples